summaryrefslogtreecommitdiff
path: root/packages/radvd/files
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /packages/radvd/files
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'packages/radvd/files')
-rw-r--r--packages/radvd/files/radvd.conf.empty18
-rwxr-xr-xpackages/radvd/files/radvd.init115
-rw-r--r--packages/radvd/files/volatiles.03_radvd2
3 files changed, 0 insertions, 135 deletions
diff --git a/packages/radvd/files/radvd.conf.empty b/packages/radvd/files/radvd.conf.empty
deleted file mode 100644
index c006f86313..0000000000
--- a/packages/radvd/files/radvd.conf.empty
+++ /dev/null
@@ -1,18 +0,0 @@
-# NOTE: there is no such thing as a working "by-default" configuration file.
-# At least the prefix needs to be specified. Please consult the radvd.conf(5)
-# man page and/or /usr/share/doc/radvd-*/radvd.conf.example for help.
-#
-#
-#interface eth0
-#{
-# AdvSendAdvert on;
-# MinRtrAdvInterval 30;
-# MaxRtrAdvInterval 100;
-# prefix 2001:db8:1:0::/64
-# {
-# AdvOnLink on;
-# AdvAutonomous on;
-# AdvRouterAddr off;
-# };
-#
-#};
diff --git a/packages/radvd/files/radvd.init b/packages/radvd/files/radvd.init
deleted file mode 100755
index 5415230285..0000000000
--- a/packages/radvd/files/radvd.init
+++ /dev/null
@@ -1,115 +0,0 @@
-#! /bin/sh
-
-PATH=/sbin:/bin:/usr/sbin:/usr/bin
-DAEMON=/usr/sbin/radvd
-NAME=radvd
-DESC=radvd
-CONFIG=/etc/radvd.conf
-SAVED_SETTINGS=/var/run/radvd/saved-settings
-PIDFILE=/var/run/radvd/radvd.pid
-OPTIONS="-u radvd -p $PIDFILE"
-
-test -x $DAEMON || exit 0
-
-set -e
-
-# Check for IPv6 support in kernel
-if test \! -e /proc/sys/net/ipv6; then
- echo "IPv6 support must be enabled in the kernel for $DESC to work."
- exit
-fi
-
-save_settings()
-{
- local file=$1
-
- rm -f $file
- for if_conf in /proc/sys/net/ipv6/conf/*; do
- echo -e "$if_conf/forwarding\t `cat $if_conf/forwarding`" >> $file
- done
- return 0
-}
-
-restore_settings()
-{
- file=$1
-
- if [ ! -f $file ]; then
- echo "$0: warning: cannot restore settings"
- return
- fi
-
- (
- while read f value; do
- if [ -w $f ]; then
- echo $value > $f
- fi
- done
- ) < $file
-}
-
-chkconfig() {
- if [ ! -e $CONFIG -o ! -s $CONFIG ]; then
- echo ""
- echo "* $CONFIG does not exist or is empty."
- echo "* See /usr/share/doc/radvd/examples/simple-radvd.conf for a simple"
- echo "* configuration suitable for most systems, and radvd.conf(5)"
- echo "* for configuration file syntax. radvd will *not* be started."
- exit 0
- fi
-}
-
-case "$1" in
- start)
- echo -n "Starting $DESC: "
- chkconfig
- save_settings $SAVED_SETTINGS
-
- # We must enable IPv6 forwarding for radvd to work
- echo 1 > /proc/sys/net/ipv6/conf/all/forwarding
-
- # Check for stale pidfile; radvd won't start if one is lying around
- if [ -f $PIDFILE ] && ! ps `cat $PIDFILE` > /dev/null; then
- rm -f $PIDFILE
- fi
- if ! start-stop-daemon --oknodo --start --pidfile $PIDFILE \
- --exec $DAEMON -- $OPTIONS; then
- echo "failed." && exit 1
- fi
- echo "$NAME."
- ;;
- stop)
- echo -n "Stopping $DESC: "
- start-stop-daemon --oknodo --stop --pidfile $PIDFILE \
- --exec $DAEMON
- restore_settings $SAVED_SETTINGS
- rm -f $SAVED_SETTINGS
- echo "$NAME."
- ;;
- reload|force-reload)
- echo "Reloading $DESC configuration files."
- start-stop-daemon --stop --signal HUP --quiet --pidfile \
- $PIDFILE --exec $DAEMON
- ;;
- restart)
- chkconfig
- echo -n "Restarting $DESC: "
- if ! start-stop-daemon --stop --quiet --pidfile \
- $PIDFILE --exec $DAEMON; then
- # stop failed, so we were not running
- save_settings $SAVED_SETTINGS
- echo 1 > /proc/sys/net/ipv6/conf/all/forwarding
- fi
- sleep 1
- start-stop-daemon --start --quiet --pidfile \
- $PIDFILE --exec $DAEMON -- $OPTIONS
- echo "$NAME."
- ;;
- *)
- N=/etc/init.d/$NAME
- echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
- exit 1
- ;;
-esac
-
-exit 0
diff --git a/packages/radvd/files/volatiles.03_radvd b/packages/radvd/files/volatiles.03_radvd
deleted file mode 100644
index 89256a40e4..0000000000
--- a/packages/radvd/files/volatiles.03_radvd
+++ /dev/null
@@ -1,2 +0,0 @@
-# <type> <owner> <group> <mode> <path> <linksource>
-d radvd root 0755 /var/run/radvd none